import * as R from 'ramda'
import { FETCH_PHONE_SUCCESS } from '../actionTypes'
import { LOAD_MORE_PHONE_SUCCESS } from '../actionTypes'
import { SEARCH_PHONE } from '../actionTypes'


const initialState = {
    ids: [],
    search: ''
}

export default (state = initialState, {type, payload}) => {
    switch(type) {
        case FETCH_PHONE_SUCCESS:
            return R.merge(state, {
                ids: R.pluck('id', payload)
            })
        case LOAD_MORE_PHONE_SUCCESS:
            const ids = R.pluck('id', payload)
            return R.merge(state, {
                ids: R.concat(state.ids, ids)
            })
        case SEARCH_PHONE:
            return R.merge(state, {
                search: payload
            })
        default:
            return state
    }
}